#
# spec file for package caslon-fonts
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define fontname ttf-caslon

Name:           caslon-fonts
Version:        20031202
Release:        lp150.1.4
Summary:        Caslon TrueType Fonts
License:        BSD-3-Clause
Group:          System/X11/Fonts
Url:            http://bibliofile.mc.duke.edu/gww/fonts/Unicode.html
# downloaded from
# http://bibliofile.mc.duke.edu/gww/fonts/Caslon/CasUni.zip
# and converted to tar.bz2 to save a bit of space
Source0:        %{fontname}-%{version}.tar.bz2
Source1:        license.html
Source2:        Unicode.html
BuildRequires:  fontpackages-devel
%reconfigure_fonts_prereq
Provides:       scalable-font-bg
Provides:       scalable-font-el
Provides:       scalable-font-he
Provides:       scalable-font-ru
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The Caslon TrueType font is a partial implementation of Unicode. I does
not contain

* CJK characters (ideographs)

* Asian & Indian alphabets and sylabaries

* Arabic

but it contains enough for most European languages including the
euro-sign.

%prep
%setup -n ttf-caslon
cp %{SOURCE1} %{SOURCE2} .

%build

%install
mkdir -p %{buildroot}%{_ttfontsdir}/
install -c -m 644 *.ttf %{buildroot}%{_ttfontsdir}

%reconfigure_fonts_scriptlets

%files
%defattr(-, root,root)
%doc *.html
%{_ttfontsdir}

%changelog
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Thu Dec 22 2011 toms@suse.de
- Renamed ttf-caslon -> caslon-fonts according to
  openSUSE packaging guidelines and FATE#313035
  Adjusted Obsoletes and Provides accordingly
* Thu Apr  8 2010 tiwai@suse.de
- remove unnecessary buildrequires for too old distros
* Wed Aug  9 2006 mfabian@suse.de
- move fonts to /usr/share/fonts/truetype
  (openSUSE 10.2 will use X11R7).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec  3 2004 mfabian@suse.de
- use new macro "%%run_suseconfig_fonts".
* Mon Sep 13 2004 mfabian@suse.de
- Bugzilla #45156: add "Provides: scalable-font-{el,he,ru,bg}".
* Fri Mar 19 2004 mfabian@suse.de
- use %%suseconfig_fonts_prereq
* Fri Feb 27 2004 mfabian@suse.de
- run SuSEconfig.fonts and SuSEconfig.pango in %%post and %%postun
* Tue Dec  2 2003 mfabian@suse.de
- update to latest version (20031202).
- remove fonts.scale completely.
* Wed Nov 26 2003 mfabian@suse.de
- don't build as root
- remove unsupported ascii-0 encoding from fonts.scale
- remove useless %%post and %%postun.
* Fri Jun 13 2003 mfabian@suse.de
- add %%dir /usr/X11R6/lib/X11/fonts/truetype/ to file list
* Wed Sep 19 2001 mfabian@suse.de
- new package: ttf-caslon, version 20010222
